#### D.15.6.18 PartitionVar

Procedure from library `finitediff.lib` (see finitediff_lib).

Usage:
  PartitionVar(f); f a poly in the basering;

Return:
  type poly; gives back a list L=f1,f2 obtained by the partition of f into two parts f1,f2 with deg_var_n(f1) >0 deg_var_n(f2)=0

Example:

    LIB "finitediff.lib";
    list D="Ut","Ux","Uy","U";
    list V="t","x","y";
    list P="a","b";
    setinitials(V,D,P);////does not show the ring, since there is no output
    basering;///does show the ring
    ==> // coefficients: QQ(I, T, Px, Py, Cx, Cy, Sx, Sy, a, b, dt, dx, dy) consi\
       dered as a field
    ==> // number of vars : 8
    ==> //        block   1 : ordering c
    ==> //        block   2 : ordering lp
    ==> //                  : names    i t x y cx cy sx sy
    ==> // quotient ring from ideal
    ==> _[1]=cy^2+sy^2-1
    ==> _[2]=cx^2+sx^2-1
    ==> _[3]=i^2+1
    poly f=t**3*cx**2-cy**2*dt+i**3*sx;
    PartitionVar(f,1); ////i is the first variable
    ==> [1]:
    ==>    i^3*sx
    ==> [2]:
    ==>    t^3*cx^2+(-dt)*cy^2

User manual for Singular version 4.4.1, 2025, generated by texi2html.